import { isArray } from "lodash";
import React from "react";

type Props = {
    divider?: string;
    children: React.ReactNode;
}
/* -------------------------------------------------------------------------- */
/*       use: <Breadcrumbs divider="/","●" or any> children </Breadcrumbs>    */
/* -------------------------------------------------------------------------- */
export default function Breadcrumbs({divider ,children}: Props) {
    return(
             <>
                {divider}&nbsp;{

                    isArray(children) ? children.join(' '+divider+' ') : children
                }
                &nbsp;{divider}
            </>        
    )
}